Git
MacOSX
HighSierra

MacOSXをHigh SierraにアップグレードしたらGitコマンドが使えなくなった時の対処法

High Sierraアップグレード時に問題発生

Mac Book Airを使っていて、OSのバージョンをHigh Sierraにアップグレードしたらgitコマンドでエラーが発生するようになった。

$ git status
xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun

対処法

以下のコマンドを実行

xcode-select --install
xcode-select: note: install requested for command line developer tools

あとは、表示されるウィザードにしたがってインストールするだけ。

以上。